Bug 1625525 (CVE-2018-12376) - CVE-2018-12376 Mozilla: Memory safety bugs fixed in Firefox 62 and Firefox ESR 60.2
Summary: CVE-2018-12376 Mozilla: Memory safety bugs fixed in Firefox 62 and Firefox ES...
Status: CLOSED ERRATA
Alias: CVE-2018-12376
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20180905,repor...
Keywords: Security
Depends On: 1623040 1623016 1623017 1623037 1623039 1625533 1625535 1636821
Blocks: 1623023 1636820
TreeView+ depends on / blocked
 
Reported: 2018-09-05 07:14 UTC by Doran Moppert
Modified: 2019-06-08 23:35 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-13 04:57:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2692 None None None 2018-09-12 10:55 UTC
Red Hat Product Errata RHSA-2018:2693 None None None 2018-09-12 10:57 UTC
Red Hat Product Errata RHSA-2018:3403 None None None 2018-10-30 16:58 UTC
Red Hat Product Errata RHSA-2018:3458 None None None 2018-11-05 10:44 UTC

Description Doran Moppert 2018-09-05 07:14:26 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 60 and Firefox ESR 60. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-21/#CVE-2018-12376

Comment 1 Doran Moppert 2018-09-05 07:14:29 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Alex Gaynor, Boris Zbarsky, Christoph Diehl, Christian Holler, Jason Kratzer, Jed Davis, Tyson Smith, Bogdan Tara, Karl Tomlinson, Mats Palmgren, Nika Layzell, Ted Campbell

Comment 4 errata-xmlrpc 2018-09-12 10:55:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2692 https://access.redhat.com/errata/RHSA-2018:2692

Comment 5 errata-xmlrpc 2018-09-12 10:57:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2693 https://access.redhat.com/errata/RHSA-2018:2693

Comment 7 Doran Moppert 2018-10-09 01:58:46 UTC
Statement:

This flaw cannot be exploited through email in Thunderbird as scripting is disabled in this for email content. It may be possible to exploit through Feeds (Atom or RSS) or other browser-like contexts.

Comment 8 errata-xmlrpc 2018-10-30 16:58:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3403 https://access.redhat.com/errata/RHSA-2018:3403

Comment 9 errata-xmlrpc 2018-11-05 10:43:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3458 https://access.redhat.com/errata/RHSA-2018:3458


Note You need to log in before you can comment on or make changes to this bug.